# cern-lxdistcc-hosts.spec: v16 2010/11/23 KELEMEN Peter # <lxdistcc-admins@cern.ch>

%{!?dist: %define dist .slc5}
%define debug_package %{nil}

Name: cern-lxdistcc-hosts
Version: 21
Release: 1%{dist}
Summary: CERN lxdistcc host specifications
Group: Development/Languages
License: GPL
Vendor: CERN
Packager: lxdistcc-admins@cern.ch
URL: https://twiki.cern.ch/twiki/bin/view/LinuxSupport/DistccPilotService
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: x86_64

%define	_prefix	/usr
%define _bindir %{_prefix}/bin
%define _datadir %{_prefix}/share
%define _docdir %{_datadir}/doc/%{name}-%{version}
%define _libdir %{_prefix}/lib
%define _mandir %{_datadir}/man
%define _sysconfdir /etc

%define _varlibdir /var/lib/%{name}

Requires: distcc >= 3.1

%description 
CERN lxdistcc hosts list for %{dist}.%{buildarch}

%prep
%setup -cT
cat > hosts <<EOT
--randomize
--localslots=2
--localslots_cpp=32
%if "%{dist}" == ".slc5"
lxbrb0201.cern.ch/8,gssapi
lxbrb0202.cern.ch/8,gssapi
lxbrb0203.cern.ch/8,gssapi
lxbrb0204.cern.ch/8,gssapi
lxbrb0601.cern.ch/8,gssapi
lxbrb0602.cern.ch/8,gssapi
lxbrb0603.cern.ch/8,gssapi
lxbrb0604.cern.ch/8,gssapi
lxbrb0605.cern.ch/8,gssapi
lxbrb0606.cern.ch/8,gssapi
lxbrb0607.cern.ch/8,gssapi
lxbrb0608.cern.ch/8,gssapi
%endif
%if "%{dist}" == ".slc6"
lxbrb0205.cern.ch/8,gssapi
lxbrb0206.cern.ch/8,gssapi
lxbrb0207.cern.ch/8,gssapi
lxbrb0208.cern.ch/8,gssapi
%endif
EOT

cat > cern-lxdistcc.sh <<EOT
# cern-lxdistcc.sh: v6 2009/04/17 KELEMEN Peter <lxdistcc-admins@cern.ch>

export DISTCC_TIMESTAMP=1

cern_distcc_show_env () {
	set | grep -a '^DISTCC'
}

cern_distcc_show_installed_packages () {
	rpm -qa | grep distcc
}

# End of file.
EOT

cat > cern-lxdistcc.csh <<EOT
# cern-lxdistcc.csh: v4 2009/03/19 KELEMEN Peter <lxdistcc-admins@cern.ch>

setenv DISTCC_TIMESTAMP 1

# End of file.
EOT

%build

%install
rm -rf ${RPM_BUILD_ROOT}
install -m 755 -d ${RPM_BUILD_ROOT}/%{_sysconfdir}/distcc
install -m 755 -d ${RPM_BUILD_ROOT}/%{_varlibdir}

install -m 755 -d ${RPM_BUILD_ROOT}/%{_datadir}/distcc
install -m 644 hosts ${RPM_BUILD_ROOT}/%{_datadir}/distcc

install -m 755 -d ${RPM_BUILD_ROOT}/%{_sysconfdir}/profile.d
install -m 644 cern-lxdistcc.sh ${RPM_BUILD_ROOT}/%{_sysconfdir}/profile.d
install -m 644 cern-lxdistcc.csh ${RPM_BUILD_ROOT}/%{_sysconfdir}/profile.d

%clean
rm -rf ${RPM_BUILD_ROOT}

%files 
%defattr(-,root,root)
%{_datadir}/distcc/hosts
%{_sysconfdir}/profile.d/cern-lxdistcc.sh
%{_sysconfdir}/profile.d/cern-lxdistcc.csh
%{_varlibdir}

%post
HOSTS=%{_sysconfdir}/distcc/hosts
MASTER=%{_datadir}/distcc/hosts
SAVE=%{_varlibdir}/hosts
install -m 644 $HOSTS $SAVE
install -m 644 $MASTER $HOSTS

%changelog
* Thu Jan  5 2012 Jan van Eldik <lxdistcc-admins@cern.ch> 21-1
- Add two servers to SLC6, remove SLC4

* Tue Dec  6 2011 Jan van Eldik <lxdistcc-admins@cern.ch> 20-1
- Adding 4 servers to SLC5, and 2 to SLC6

* Mon Oct 24 2011 Jaroslaw Polok <lxdistcc-admins@cern.ch> 19-1
- initial build for SLC6 (no REAL hosts in configuration)

* Tue May 10 2011  KELEMEN Peter <lxdistcc-admins@cern.ch> 18-1
- relax distcc client version dependency

* Tue Nov 23 2010  KELEMEN Peter <lxdistcc-admins@cern.ch> 17-1
- unified specfile for all distro versions
- decrease SLC4 capacity to 16 cores

* Mon Jun 15 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 16-1
- Disable building of debuginfo packages.

* Mon Jun 15 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 15-1
- Fix changelog entries not to include percent signs at all.

* Wed Jun 10 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 14-1
- Fix #install missing -m switches.

* Mon Apr 27 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 13-1
- Introduce per-host GSSAPI authentication specs.

* Fri Apr 17 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 12-1
- Fix non-POSIX shell function names.

* Mon Mar 23 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 11-1
- Added explicit dependency on distcc version.

* Mon Mar 23 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 10-1
- Added --localslots_cpp=32 option.

* Thu Mar 19 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 9-1
- cern-show-distcc-env() -> cern-distcc-show-env()
- cern-show-distcc-installed-packages() -> cern-distcc-show-installed-packages()

* Thu Mar 19 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 8-1
- cern-show-distcc-installed-packages()

* Thu Mar 19 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 7-1
- I'm fed up with how RPM handles package upgrades.

* Thu Mar 19 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 6-1
- Removed #preun, need to reimplement it in NCM as soon as lcm-profile is
  fixed.

* Thu Mar 19 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 5-1
- Rewrite scripts.

* Thu Mar 19 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 4-1
- Do not set DISTCC_VERBOSE .
- cern-show-distcc-env()

* Thu Mar 19 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 3-1
- Decrease per-host slot number (10->8).
- Fix tcsh(1) snippet syntax.
- Fix postinst not to overwrite savefile on upgrades.

* Tue Mar 17 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 2-1
- Use FQDN hostnames.
- Include /etc/profile.d/ scripts.

* Mon Mar 16 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 1-1
- Initial release.
